Un meilleur job mieux payé ?

Deviens chef de projet, développeur, ingénieur, informaticien

Mets à jour ton profil pro

ça m'intéresse

Quelle version de Perl utilisez-vous ?

Le , par djibril, Responsable Perl et Outils
Bonjour,

Profitez en pour apporter votre témoignage en précisant pour quelle version vous avez voté, les raisons de ce vote (avantages, inconvénients, contraintes, ...) ainsi que vos intentions pour le proche avenir.


Vous avez aimé cette actualité ? Alors partagez-la avec vos amis en cliquant sur les boutons ci-dessous :


 Poster une réponse

Avatar de djibril djibril - Responsable Perl et Outils http://www.developpez.com
le 28/07/2009 à 12:11
Citation Envoyé par bioinfornatics  Voir le message
il y a pas perl 6 en proposition

En effet, je me suis trompé en mettant Parrot sur la même ligne que perl 5.6
Avatar de Camille_B Camille_B - Membre confirmé http://www.developpez.com
le 28/07/2009 à 20:23
Perl 5.10 pour ma part sur ma Debian SID :

Code : Sélectionner tout
1
2
3
4
5
mesmento@linuxette:~$ perl -v 
 
This is perl, v5.10.0 built for i486-linux-gnu-thread-multi 
 
Copyright 1987-2007, Larry Wall
Avatar de nibroc nibroc - Membre actif http://www.developpez.com
le 01/08/2009 à 23:40
Bonjour,
En ce qui me concerne, j'ai Perl 5.8.6.811 (os : XP familiale)
J'aimerais savoir ce que pourrait m'apporter Perl 5.8.9 ou même Perl 5.10.
Et aussi comment faire pour passer à une version plus récente ? Faut-il commencer par désinstaller la version qui est actuellement sur mon ordinateur ou peut-on installer par dessus ? Est-ce qu'il faudra ensuite réinstaller les modules que j'ai ajoutés ?
Je remercie d'avance toute personne qui pourrait m'apporter des éclaircissements à ce sujet.
Nibroc.
Avatar de Ephaystos Ephaystos - Candidat au Club http://www.developpez.com
le 11/08/2011 à 12:58
Bonjour, j'ai perl 5.8.5, et je voudrais faire du parsing xml à partir d'un url.. malheureusement le LWP::Simple n'est disponible qu'a partir de 5.8.8, j'ai essayé de l'installer, mais on me dit que je n'ai pas de compilateur c, j'ai alors installé le gcc.. rien n'y fait.
Help
Avatar de djibril djibril - Responsable Perl et Outils http://www.developpez.com
le 11/08/2011 à 13:40
Mets à jour ta version de Perl ?
Avatar de stoyak stoyak - Rédactrice http://www.developpez.com
le 23/08/2011 à 11:21
J'utilise Perl v5.10.1, sur Windows et Red Hat Enterprise !
Avatar de djibril djibril - Responsable Perl et Outils http://www.developpez.com
le 23/08/2011 à 11:27
Faudrait que je mette à jour ce sondage car il y a maintenant Perl 5.12 et 5.14 .
Avatar de jfb80 jfb80 - Candidat au Club http://www.developpez.com
le 24/01/2013 à 17:03
This is perl 5, version 12, subversion 4 (v5.12.4) built for darwin-thread-multi-2level
Avatar de jfb80 jfb80 - Candidat au Club http://www.developpez.com
le 24/01/2013 à 17:09
This is perl, v5.10.1 (*) built for i486-linux-gnu-thread-multi
(with 53 registered patches, see perl -V for more detail)
Avatar de scavenger scavenger - Nouveau membre du Club http://www.developpez.com
le 25/01/2013 à 0:39
This is perl 5, version 14, subversion 2 (v5.14.2) built for x86_64-thecus-linux-thread-multi

et j'ai pas le choix, sinon c'est la recompilation
qu'apportent les autres versions ?
Avatar de Lolo78 Lolo78 - Rédacteur/Modérateur http://www.developpez.com
le 25/01/2013 à 10:02
5.8.2 sous Unix:

This is perl, v5.8.2 built for aix-thread-mult

i

Et 5.8.6 sous VMS:

This is perl, v5.8.6 built for VMS_AXP

C'est vieux tout ça, mais ce sont des serveurs de production, je n'ai pas la liberté de faire des upgrades. Et justifier du besoin auprès des admins est une prise de tête.

Chez moi, 5.8.10 sous Cygwin.
Offres d'emploi IT
Expert sécurité en audit d'applications (H/F)
Société Générale - Ile de France - Val-de-Marne
Analyste SI-métier (H/F)
Société Générale - Ile de France - Val-de-Marne
Chef de projet SI confirmé (H/F)
Société Générale - Ile de France - Val-de-Fontenay

Voir plus d'offres Voir la carte des offres IT
Responsable bénévole de la rubrique Perl : djibril -